pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Still require --enable-wide-getaddrinfo for ruby?


On Linux and Solaris, both ruby18-base and ruby19-base,
CONFIGURE_ARGS+=        --enable-wide-getaddrinfo

At least with my SSD/Linux 0.4, it result in linkage error because
source codes enabled with the option are using deprecated functions.

I believe that default configure options are preferred in these days
(also on Solaris?),  so it should be gone away.
Does anyone still require it? (old Solaris, or Linux with old glibc?)

OBATA Akio /

Home | Main Index | Thread Index | Old Index